Summary: UW Alpine mail user agent
Name: alpine
Version: 2.00
Release: 1%{?dist}

License: Apache License
Group: Applications/Internet
URL: http://www.washington.edu/alpine
Source0: ftp://ftp.cac.washington.edu/alpine/alpine-%{version}.tar.bz2

Source2: alpine.conf-%{version}
Obsoletes: pine
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: aspell
BuildRequires: gettext
BuildRequires: inews
BuildRequires: krb5-devel
BuildRequires: ncurses-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: passwd

Requires: aspell
Requires: mailcap
Requires: /usr/sbin/sendmail


%description
Alpine -- an Alternatively Licensed Program for Internet
News & Email -- is a tool for reading, sending, and managing
electronic messages.  Alpine is the successor to Pine and was
developed by Computing & Communications at the University of
Washington.  
  Though originally designed for inexperienced email users,
Alpine supports many advanced features, and an ever-growing number of
configuration and personal-preference options.
Changes and enhancements over pine:
  * Released under the Apache Software License, Version 2.0.
  * Internationalization built around new internal Unicode support.
  * Ground-up reorganization of source code around new "pith/" core
routine library.
  * Ground-up reorganization of build and install procedure based on
GNU Build System's autotools.


%prep
%setup -q


%build
touch imap/ip6
# --without-tcl disables the TCL-based CGI "Web Alpine"
%configure \
  --enable-debug=no \
  --without-tcl \
  --with-c-client-target=lfd \
  --with-passfile=.alpine.passfile \
  --with-spellcheck-prog=aspell \
  --with-system-pinerc=%{_sysconfdir}/alpine/pine.conf \
  --with-system-fixed-pinerc=%{_sysconfdir}/alpine/pine.conf.fixed \
  --with-default-use-only-domain-name=yes \
  --with-default-ansi-printer=lpr

make %{?_smp_mflags} EXTRACFLAGS="$RPM_OPT_FLAGS"


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m755 imap/mailutil/mailutil $RPM_BUILD_ROOT%{_bindir}/mailutil
install -D -m755 imap/mlock/mlock $RPM_BUILD_ROOT%{_sbindir}/mlock
install -D -m644 imap/src/mailutil/mailutil.1 $RPM_BUILD_ROOT%{_mandir}/man1/mailutil.1

# create/touch %ghost'd files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/alpine
touch $RPM_BUILD_ROOT%{_sysconfdir}/alpine/pine.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/alpine/pine.conf.fixed

cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/alpine/pine.conf.sample

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR
rm -rf $RPM_BUILD_DIR/alpine-%{version}

%files
%defattr(-,root,root,-)
%doc README LICENSE doc/tech-notes.txt
%ghost %config(noreplace) %{_sysconfdir}/alpine/pine.conf
%ghost %config(noreplace) %{_sysconfdir}/alpine/pine.conf.fixed
%{_sysconfdir}/alpine/pine.conf.sample
%{_bindir}/alpine
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpload
%{_bindir}/rpdump
%{_bindir}/mailutil
%attr(2755,root,mail) %{_sbindir}/mlock
%{_mandir}/man1/alpine.1*
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%{_mandir}/man1/mailutil.1*


%changelog
#
* Wed Feb 11 2009 2.00-1 20090211 - wolfgang.friebel@desy.de
- new version 2.00, try to be as close to the EPEL package as possible
  provide /etc/alpine/pine.conf.sample as a sample configuration file
  which configures htmlview (in package htmlview) as URL viewer
* Thu May 29 2008 1-10-1 20080529 - wolfgang.friebel@desy.de
- new version 1.10. Patch for better charset handling added.
* Thu Jan 01 2008 1.00-1 20080103 - wolfgang.friebel@desy.de
- Spec for the first official alpine version. A config file
  /etc/alpine/pine.conf is provided with settings that have
  been found useful (at DESY). Feel free to modify it at your
  taste or do report what should be changed
